import { FG_Plugin } from 'src/plugins';
const mainRoutes: FG_Plugin.PluginRouteConfig[] = [
  {
    title: 'Getränke',
    icon: 'mdi-glass-mug-variant',
    path: 'drinks',
    name: 'drinks',
    component: () => import('../pages/MainPage.vue'),
    meta: { permissions: ['user'] },
    children: [
      {
        title: 'Preisliste',
        icon: 'mdi-cash-100',
        path: 'pricelist',
        name: 'drinks-pricelist',
        shortcut: true,
        meta: { permissions: ['user'] },
        component: () => import('../pages/Pricelist.vue')
      },
      {
        title: 'Einstellungen',
        icon: 'mdi-coffee-to-go',
        path: 'settings',
        name: 'drinks-settings',
        shortcut: false,
        meta: { permissions: ['users_edit_other'] },
        component: () => import('../pages/Settings.vue')
      }
    ]
  }
];

export default mainRoutes;
